## ddt 0.5.5

=== debian/changelog ===
ddt (0.5.5) unstable; urgency=low

  * Fixed g++ 3.0 compatibility problems. (Closes: #98084)
  * Fixed missing header file for memcpy in a few file. (Closes: #142035)

 -- Benoit Joly <benoit@debian.org>  Wed, 10 Apr 2002 21:23:57 -0400

ddt (0.5.4) unstable; urgency=low

  * Modified debconf default ip to new valid ip. (Closes: #132659)
  * Relaxed domain validation when registering. Now accept a number
    on the first char of a fqdn element. (Closes: #90465)
  * Modified code to split banned hostnames from reserved hostnames.
    (Closes: #90466)
  * Fixed memory leak. (Closes: #139608)

 -- Benoit Joly <benoit@debian.org>  Sat, 30 Mar 2002 17:25:22 -0500

ddt (0.5.3) unstable; urgency=low

  * Brought man page up to date and fixed mistakes. (Closes: #112405)
  * Changed maintainer to: ddt-devel@lists.sourceforge.net
  * Added Uploaders field to control.
  * No longer uses OpenSSL. All crypto functions are from libgcrypt.
  * Fixed a spelling error in ddt-server's description. (Closes: #124536)
  * ddtc manpage updated. (Closes: #108499, #112405)

 -- Benoit Joly <benoit@debian.org>  Wed,  6 Mar 2002 00:09:54 -0500

ddt (0.5.2) unstable; urgency=low

  * Solved uncaught exception bugs.
  * Fixed configure.in.
  * Fixed memory leak in server.
  * Fixed debian/rules to allow independent build of ddt-client and ddt-server.

 -- Remi Lefebvre <remi@debian.org>  Fri,  2 Feb 2001 15:04:40 -0500

ddt (0.5.1) unstable; urgency=low

  * Fixed debconf typo.

 -- Remi Lefebvre <remi@debian.org>  Wed, 31 Jan 2001 15:59:23 -0500

ddt (0.5) unstable; urgency=low

  * Fixed dependency on libssl096. (Closes: #83849)
  * New optionnal IP address on ddtc command line. (Closes: #75350)
  * New server database architecture.
  * Redone the debconf scripts. (Closes: #71711)
  * Merged content on 0.4.3 into the main CVS tree.
  * Simply truncate passwords longer than 8 characters. (Closes: #72856)

 -- Remi Lefebvre <remi@debian.org>  Mon, 29 Dec 2000 12:46:08 -0400

ddt (0.4.3) unstable; urgency=low

  * Modifications to debconf scripts. 

 -- Luca Filipozzi <lfilipoz@emyr.net>  Thu, 14 Sep 2000 15:37:03 -0700

ddt (0.4.2) unstable; urgency=low

  * New Maintainer Upload
  * Changed section (section now non-us/main)
  * Changed maintainer
    (now DDT Development Team <ddt-devel@lists.sourceforge.net>)
  * Added dependency on libssl09 

 -- Luca Filipozzi <lfilipoz@emyr.net>  Wed, 13 Sep 2000 09:47:38 -0700

ddt (0.4.1) unstable; urgency=low

  * Packaging enhancements.
  * Check if interface IP address changed every 5 seconds. (Closes: #69526)
  * Added build depend on netkit-rpc. (Closes: #66991)

 -- Remi Lefebvre <remi@debian.org>  Sun, 20 Aug 2000 20:33:27 -0400

ddt (0.4) unstable; urgency=low

  * Fixed segfault in atexit_handler().
  * Fixed pid file segfault. (Closes: #65502)
  * Client (ddtc) is now written in C++ and handles the FIFO properly.
    Also fixes problems on RH and Slackware.
  * Lots of improvement in the CGI programs (MX/CNAME).

 -- Remi Lefebvre <remi@debian.org>  Thu,  8 Jun 2000 19:02:38 -0400

ddt (0.3) unstable; urgency=low

  * Preliminary support for Text database.
  * Added some documentation.
  * Partial rewrite of the client. The main loop now uses a select()
    on the udp socket and a FIFO.
  * New options to configure.in to check for libs and specify the
    paths.
  * Separation of the packets/ framework into client and server

 -- Remi Lefebvre <remi@debian.org>  Sun, 23 Apr 2000 01:17:23 -0400

ddt (0.2) unstable; urgency=low

  * Put full license in debian/copyright.
  * Fixed endianneness bug. (Closes: #60688)

 -- Remi Lefebvre <remi@debian.org>  Sat,  1 Apr 2000 10:35:15 -0500

ddt (0.1) unstable; urgency=low

  * Fixed build depends (Closes: #60452).
  * Added documentation files to packages (Closes: #60221).
  * Don't exit error when no valid databases are found (Closes: #59788).
  * New name for the project.
  * Initial Release of DDT.

 -- Remi Lefebvre <remi@debian.org>  Mon, 20 Mar 2000 12:13:05 -0500

Local variables:
mode: debian-changelog
End:
