=== debian/control ===
Source: ddt
Section: non-us
Priority: extra
Maintainer: Dynamic DNS Tools and Services <ddt-devel@lists.sourceforge.net>
Uploaders: Luca Filipozzi <lfilipoz@debian.org>, Remi Lefebvre <remi@debian.org>, Benoit Joly <benoit@debian.org>
Build-Depends: debhelper (>=2.0.0), bind-dev, postgresql-dev, cgilib, opt (>= 3.9), libgcrypt-dev, libreadline4-dev, netbase, libregexx-dev
Standards-Version: 3.5.6

Package: ddt-client
Architecture: any
Depends: ${shlibs:Depends}, debconf (>=0.5.00)
Recommends: logrotate
Description: Dynamic DNS Tools Client.
 This is the client side implementation of the DDTP protocol.
 It allows you to assign a fixed FQDN to any hosts that connects
 to the internet using a dynamic IP. You have to register with a
 DDT service provider in order to use it.

Package: ddt-server
Architecture: any
Depends: ${shlibs:Depends}, debconf (>=0.5.00)
Recommends: logrotate, bind
Description: Dynamic DNS Tools Server.
 This is the server side implementation of the DDTP protocol. This
 is useful only if you want to provide a service similar to the
 one at ddts.net. You should not install unless you know what you
 are doing.
