## ddt 0.5.9.1

=== debian/changelog ===
ddt (0.5.9.1) unstable; urgency=low

  * Fixed wrong dependency for ddt-server. (closes: #191959)

 -- Benoit Joly <benoit@debian.org>  Mon,  5 May 2003 22:49:20 -0400

ddt (0.5.9) unstable; urgency=low

  * Fixed missing build dependency. (closes: #173923)
  * Added posgresql to ddt-server dependency. (closes: #149046)

 -- Benoit Joly <benoit@debian.org>  Fri,  4 Apr 2003 02:01:09 -0400

ddt (0.5.8) unstable; urgency=low

  * Fixed installation failure when installing for the first time. (closes: #157986)
  * Fixed build failure when using bind UNLINK macro. (closes: #157157)
  * ddt-client now set correctly the default password when upgrading the package. (closes: #142501)

 -- Benoit Joly <benoit@debian.org>  Sun, 13 Oct 2002 21:48:18 -0400

ddt (0.5.7) unstable; urgency=low

  * Fixed build problem in DdtMD.cc. (Closes: #150391)

 -- Benoit Joly <benoit@debian.org>  Tue, 25 Jun 2002 22:13:30 -0400

ddt (0.5.6) unstable; urgency=low

  * moved into main.
  * Fixed restart problem when running dpkg-reconfigure. (Closes: #142607)

 -- Benoit Joly <benoit@debian.org>  Tue,  7 May 2002 00:24:55 -0400
