=== debian/rules ===
--- 
+++ 
@@ -77,6 +77,8 @@
 		debian/ddt-server/etc/logrotate.d/ddt-server
 
 	dh_movefiles
+	dh_installinit -pddt-client --init-script=ddt-client -- defaults 20
+	dh_installinit -pddt-server --init-script=ddt-server -- defaults 25
 
 # This single target is used to build all the packages, all at once, or
 # one at a time. So keep in mind: any options passed to commands here will
@@ -88,8 +90,6 @@
 	dh_installdebconf
 	dh_installdocs
 	dh_installexamples
-	-dh_installinit -Nddt-server --init-script=ddt-client -- defaults 20
-	-dh_installinit -Nddt-client --init-script=ddt-server -- defaults 25
 	dh_installchangelogs
 	dh_strip
 	dh_compress
